Insteon - Feature #877

Dump all-link database
10/28/2014 05:08 AM - Luke Murphey

Status: Closed Start date: 11/01/2014
Priority: Normal Due date:

Assignee: Luke Murphey % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 0.5

Description

Page 77 of the Modem Developer's Guide points out how to dump the all-link database records using 0x69 and 0x6A records. This

may be necessary to enable the app to make sense out of commands like leak sensor reports.

Subtasks:

Task # 883: Add timing code for defining how often to dump all-link records
Task # 884: Create search to dump all-link records to a lookup

Task # 885: Create lookup for identifying all-link records

Closed
Closed
Closed

History

#1 - 10/28/2014 05:12 AM - Luke Murphey

http://www.linuxha.com/athome/common/iplcd/index.html

#2 - 10/29/2014 03:10 AM - Luke Murphey

To accomplish this, support would need to exist for 0x69, 0x6A and 0x57 commands.

#3 - 10/29/2014 03:11 AM - Luke Murphey

I'm not sure what the link data section contains. This would need to be determined to make sense out of it.

#4 - 10/30/2014 06:28 AM - Luke Murphey

From some reason, errors cause this lock acquisition to fail:

self.___commandLock.acquire ()

#5 - 10/30/2014 06:35 AM - Luke Murphey
Adding debugging code, | see this:

2014-10-30 01:34:23,025 DEBUG acquiring lock...
2014-10-30 01:34:23,025 DEBUG got lock
2014-10-30 01:34:23,025 DEBUG releasing lock...
2014-10-30 01:34:23,025 DEBUG lock released
2014-10-30 01:34:23,494 DEBUG Queued 17a3abc6657183970dac91lcb2bac2fla
2014-10-30 01:34:23,526 DEBUG acquiring lock...
2014-10-30 01:34:23,526 DEBUG got lock
2014-10-30 01:34:23,529 DEBUG releasing lock...
2014-10-30 01:34:23,529 DEBUG lock released
2014-10-30 01:34:24,030 DEBUG acquiring lock...
2014-10-30 01:34:24,030 DEBUG got lock
2014-10-30 01:34:24,030 DEBUG releasing lock...
2014-10-30 01:34:24,030 DEBUG lock released

2014-10-30 01:34:25,495 DEBUG Timed out for 17a3abc6657183970dac9lcb2bac2fla - Requeueing

es)

2014-10-30 01:34:27,496 DEBUG Timed out for 17a3abc6657183970dac9lcb2bac2fla - Requeueing

es)

(already had 0 retri

(already had 1 retri

2014-10-30 01:34:27,496 DEBUG Interesting. timed out for 17a3abc6657183970dac9lcb2bac2fla, but there is no pe

nding command details
http://www.insteon.com/pdf/INSTEON_Modem_Developer's_Guide_20071012a.pdf
http://www.linuxha.com/athome/common/iplcd/index.html

#6 - 10/30/2014 07:04 AM - Luke Murphey

The problem is that the run() loop was throwing an exception. | need to detect this and re-initialize the connection.

#7 - 10/31/2014 05:02 AM - Luke Murphey

HouseLinc seems to use the 0x75 command to dump the link tables. It appears that the other commands don't dump all of the information.

#8 - 10/31/2014 05:24 AM - Luke Murphey
- % Done changed from 0 to 20

#9 - 10/31/2014 07:07 AM - Luke Murphey
- Target version set to 0.5

- % Done changed from 20 to 50

#10 - 10/31/2014 04:27 PM - Luke Murphey

Upon completion, a NAK will be returned alone in the 0x6a response:

[TX] - 02 6A

[RX] — 02 6A 06 02 57 A2 01 04 F7 EE 01 00 22
[TX] - 02 6A

[RX] - 02 6A 15

#11 - 11/08/2014 07:18 AM - Luke Murphey

- Status changed from New to Closed
http://forum.smarthome.com/topic.asp?TOPIC_ID=12604
http://www.tcpdf.org

